.page-title {
	display: flex;
	align-items: center;
	.sidebar-toggle-btn {
		display: flex;
		margin-right: var(--margin-sm);
		cursor: pointer;
		--icon-stroke: var(--gray-700);
		.sidebar-toggle-icon {
			display: none;
		}

		.sidebar-toggle-icon,
		.sidebar-toggle-placeholder {
			@include transition(all 0.5s ease-in-out);
		}

		&:hover {
			.sidebar-toggle-icon {
				display: block;
			}
			.sidebar-toggle-placeholder {
				display: none;
			}
		}
	}
	.title-area {
		display: inline-flex;
		align-items: center;
		.title-text {
			@include get_textstyle("2xl", "bold");
			cursor: pointer;
			margin-bottom: 0px;
			margin-right: var(--margin-sm);
			max-width: 48vw; // @dokos: Don't need to truncate more because of .ellipsis
		}
		.indicator-pill {
			margin-top: 2px;
		}
		.sub-heading {
			@include get_textstyle("sm", "regular");
		}
	}
}

.page-container {
	background-color: var(--bg-color);

	.page-body.full-width {
		width: 100%;
		max-width: 100%;
	}
}

.page-actions {
	align-items: center;
	.btn {
		height: var(--btn-height);
		margin-left: var(--margin-sm, 8px);
		border-radius: var(--border-radius);
		line-height: 1;
		padding: 4px 8px;
		&,
		& .hidden-xs {
			display: inline-flex;
			align-items: center;
			gap: 3px;
		}
	}
	.btn:not(.icon-btn) {
		padding: 4px 8px;
	}
	.btn-primary,
	.btn-secondary {
		min-width: 40px;
	}
	.custom-btn-group {
		display: inline-flex;
	}

	.custom-actions {
		display: flex;
		align-items: center;
	}
}

// @dokos: Reduce padding for mobile
.page-actions.col {
	padding-inline-start: 0px;
	flex-grow: 0;
}
.page-title.col {
	padding-inline-end: 0px;
}

.view-actions .dropdown-menu {
	margin-inline-start: -4px;

	.menu-item-label {
		font-weight: 500;
	}

	.menu-item-icon {
		margin-inline-end: 1px;
	}
}

.layout-main-section-wrapper {
	min-width: 0;
	margin-bottom: var(--page-bottom-margin);
}

.layout-main-section.frappe-card {
	overflow: hidden;
	@include card($padding: 0px);
	box-shadow: none;
	border: 1px solid var(--border-color);
}

.page-head {
	z-index: 6;
	position: sticky;
	top: var(--navbar-height);
	background: var(--bg-color);
	margin-bottom: 5px;
	transition: 0.5s top;
	.page-head-content {
		height: var(--page-head-height);
		padding: 8px 0px;
	}

	&.drop-shadow {
		box-shadow: var(--shadow-sm);
		background-color: var(--fg-color) !important;
	}
}

.page-form {
	margin: 0;
	padding: var(--padding-sm);
	display: flex;
	flex-wrap: wrap;
	background-color: var(--card-bg);
	border-bottom: 1px solid var(--border-color);
	// box-shadow: $card-box-shadow;

	.form-group {
		padding: 0px 5px;
		margin: 5px 0px;
	}
	.checkbox {
		margin-top: 4px;
		margin-bottom: 4px;

		.help-box {
			display: none;
		}
	}
}

.message-page {
	min-height: 50vh;
	.message-page-icon {
		font-size: 10rem;
		margin-bottom: 1rem;
	}
	.message-page-image {
		margin-bottom: 1rem;
	}
	.btn-home {
		margin-top: 1rem;
	}
	.awesomplete > ul {
		min-width: 300px;
	}
}

.form-inner-toolbar {
	.inner-group-button {
		display: inline-flex;
		.icon {
			margin-right: calc(-1 * var(--margin-xs));
		}
	}
	button {
		margin-left: var(--margin-sm);
	}
}

.menu-btn-group,
.custom-btn-group,
.page-icon-group {
	display: flex;
	.dropdown-menu {
		width: max-content;
	}

	.menu-item-label {
		margin-right: var(--margin-md);
	}

	.menu-item-icon {
		margin-right: var(--margin-sm);
	}
}

.layout-main-section {
	scroll-margin-top: var(--navbar-height);

	.frappe-list,
	.report-wrapper {
		padding: 0 var(--padding-xs);

		// .result,
		.no-result,
		.freeze {
			min-height: #{"calc(100vh - 284px)"};
		}
	}

	.msg-box {
		margin-bottom: 4em;
		@include get_textstyle("sm", "regular");

		// To compensate for perceived centering
		.null-state {
			height: 60px;
			width: auto;
			margin-bottom: var(--margin-md);
			img {
				fill: var(--fg-color);
			}
		}
		p {
			@include get_textstyle("base", "regular");
		}

		.meta-description {
			width: 45%;
			margin-right: auto;
			margin-left: auto;
		}
	}
}

.page-only-label {
	margin-top: var(--margin-xs);
	text-align: center;
}
